package com.clx.performance.service;

public interface IntegralMqService {

    void truckAdd(String truckNo, String driverName, String driverMobile);

    void orderGoodsAdd(String orderGoodsNo,
                       Integer sendAddressId, String sendAddress,
                       Integer receiveAddressId, String receiveAddress);

    void integralRecordAdd(Integer statisticsId, String truckNo, Integer type, Integer integral, String remark);

    void nextWeekTruckInit(String statisticsDate);

    void weekTruckStatistics(String statisticsDate);

    void weekTruckStatistics(String statisticsDate, String truckNo);

    void truckProtectionCancel(String statisticsDate, String truckNo);

    void orderChildFinish(String childNo, Integer type);

}
